Subject: bug#19576: write-file writes the wrong buffer

From: Alan Mackenzie <[email-masked]>
Date: Fri, 20 Nov 2015 11:32:14 +0000

Hello, Eli.

On Fri, Nov 20, 2015 at 01:15:39PM +0200, Eli Zaretskii wrote:
> > Date: Fri, 20 Nov 2015 11:25:47 +0100
> > From: martin rudalics <[email-masked]>
> > CC: [email-masked], [email-masked], [email-masked], 
> >  [email-masked]

[ .... ]

> > It's not a minor change since I probably would remove the check done by
> > ‘window--resize-apply-p’, have window_resize_apply return a boolean
> > indicating that some size really changed and have ‘window-resize-apply’
> > pass that value back to its caller so we can avoid calling
> > ‘window--pixel-to-total’ and ‘window-configuration-change-hook’ if
> > nothing changed.  And, as I mentioned earlier, the one case in
> > ‘delete-other-windows’ would have to be treated specially.  But I think
> > it's worth if we care about ‘set-window-configuration’.

> Yes, and we are allowed non-minor changes on master.

Please don't decide that this bug won't be fixed for Emacs 25.1.

> Thanks.

-- 
Alan Mackenzie (Nuremberg, Germany).